# Class Body

Namespace
  Awperative

Assembly
  Awperative.dll

    public sealed class Body : DockerEntity

Inheritance
  object
  DockerEntity
  Body

Inherited Members
  DockerEntity.AddComponent<Generic>()
  DockerEntity.AddComponent<Generic>(object[])
  DockerEntity.GetComponent<Generic>()
  DockerEntity.GetComponents<Generic>()
  DockerEntity.RemoveComponent(Component)
  DockerEntity.RemoveComponent<Generic>()
  DockerEntity.RemoveComponents<Generic>()
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### Components

All components attached to the body

    public List<Component> Components { get; }

#### Property Value

List<Component>

### Scene

Current scene the body exists in

    public Scene Scene { get; }

#### Property Value

Scene

### Tags

All tags attached to the body

    public List<string> Tags { get; }

#### Property Value

List<string>

### transform

Position of the body

    public Transform transform { get; }

#### Property Value

Transform